Bug 235007 - [patch] x11-toolkits/qt5-gui: tries to use libudev
Summary: [patch] x11-toolkits/qt5-gui: tries to use libudev
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-16 20:08 UTC by Tijl Coosemans
Modified: 2019-01-17 09:56 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch (479 bytes, patch)
2019-01-16 20:08 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2019-01-16 20:08:17 UTC
Created attachment 201195 [details]
patch

Add -no-libudev to CONFIGURE_ARGS because there's some code tries to use it if devel/libudev-devd is installed.  Maybe devel/libudev-devd should just be added as a dependency?
Comment 1 Tobias C. Berner freebsd_committer 2019-01-17 07:03:39 UTC
Moin moin

The no-evdev above should probably also be reevaluated.

For the time being disabling it, to make it deterministic, should be fine. 


Mfg Tobias
Comment 2 commit-hook freebsd_committer 2019-01-17 09:28:38 UTC
A commit references this bug:

Author: tijl
Date: Thu Jan 17 09:28:15 UTC 2019
New revision: 490532
URL: https://svnweb.freebsd.org/changeset/ports/490532

Log:
  Add -no-libudev to CONFIGURE_ARGS to prevent use of devel/libudev-devd.

  PR:		235007
  Approved by:	kde (tcberner)

Changes:
  head/x11-toolkits/qt5-gui/Makefile